import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';
import 'package:hydrated_bloc/hydrated_bloc.dart';

import 'package:petitbac/models/settings_global.dart';
import 'package:petitbac/utils/tools.dart';

part 'settings_global_state.dart';

class GlobalSettingsCubit extends HydratedCubit<GlobalSettingsState> {
  GlobalSettingsCubit() : super(GlobalSettingsState(settings: GlobalSettings.createDefault()));

  void setValues() {
    emit(
      GlobalSettingsState(
        settings: GlobalSettings(),
      ),
    );
  }

  int getParameterValue(String code) {
    switch (code) {}
    return 0;
  }

  void setParameterValue(String code, int value) {
    printlog('GlobalSettingsCubit.setParameterValue');
    printlog('code: $code / value: $value');

    setValues();
  }

  @override
  GlobalSettingsState? fromJson(Map<String, dynamic> json) {
    return GlobalSettingsState(
      settings: GlobalSettings(),
    );
  }

  @override
  Map<String, dynamic>? toJson(GlobalSettingsState state) {
    return <String, dynamic>{};
  }
}
